Subject: Re: bug#2720: error in build cvs version on Mac OS X

From: Harald Maier <[email-masked]>
Date: Thu, 19 Mar 2009 21:28:32 +0100

Hello Ritesh,

have you tried

  ./configure --enable-carbon-app

I am using both Carbon and X11 so I have to specify

  ./configure --enable-carbon-app --without-x

,----[ Carbon App ]
| GNU Emacs 23.0.91.6 (i386-apple-darwin9.6.0, NS apple-appkit-949.43) 
|   of 2009-03-17 on ate.maierh
`----

,----[ X11 ]
| GNU Emacs 23.0.91.10 (i386-apple-darwin9.6.0, X toolkit) 
|  of 2009-03-19 on ate.maierh
`----

Harald

Ritesh Sood <[email-masked]> writes:

> Hi all,
>
> It's now actually been a couple of *years* that I've been unsuccessful
> in building Emacs from cvs source on Mac OS X: first on my Powerpc
> Powerbook G4, and now on my Intel Mac. The build process always balks
> at the bootstrap stage with the following message:
> ----------------
> Loading loadup.el (source)...
> Using load-path (/home/ritesh/pkg/emacs/lisp /home/ritesh/pkg/emacs/
> lisp/emacs-lisp \
>       /home/ritesh/pkg/emacs/lisp/language
> /home/ritesh/pkg/emacs/lisp/
> international \
>       /home/ritesh/pkg/emacs/lisp/textmodes)
> Loading emacs-lisp/byte-run (compiled; note, source file is newer)...
> Invalid coding system: emacs-mule
> make[1]: *** [bootstrap-emacs] Error 255
> make: *** [src] Error 2
> ---------------------
> My build environment is quite pristine, no libraries from fink, etc.,
> interfering with those installed by Xcode.
> Here's how I run configure
> ---------------------
> CFLAGS="$CFLAGS -Wno-pointer-sign"
> ./configure                           \
> --enable-locallisppath=$HOME/elisp    \
> --without-pop                                 \
> --without-kerberos                    \
> --without-kerberos5                   \
> --without-sound                               \
> --without-x                           \
> -without-toolkit-scroll-bars          \
> --without-dbus                                \
> --without-gpm                         \
> --with-ns                             \
> --enable-cocoa-experimental-ctrl-g    
> --------------------------
> Although I don't understand the last option, the build fails with or
> without it.
> It might not be a bug after all, but I have seen update after update
> to the cvs repository but the build failure refuses to go away. It's
> in sheer frustration that I'm resorting to sending a mail to the bugs
> list. Hopefully someone can figure out the problem, or has seen this
> issue elsewhere.
> Help much appreciated,
> Ritesh.
>
>